Subject: Re: bug#55231: [PATCH v1] initrd: Allow extra search paths with ‘initrd-extra-module-paths’

From: Morgan Arnold <[email-masked]>
Date: Sun, 16 Feb 2025 11:24:43 +0000

Hi Maxim,

I found the cause of these failed tests, although unfortunately it doesn't seem to resolve the problem with implicit inputs from `gnu-build-system` being non-substitutable. The failing tests pass a `derivation` as input to the derivations that they construct, rather than a `derivation-input`. My added code then fails upon attempting to apply `derivation-input-derivation` to something which is not `derivation-input?`. I think that this might arguably be a flaw in the tests, but it can be resolved by simply checking that an input is `derivation-input?` before attempting to apply `derivation-input-derivation`. I'll send over the patch in a moment.

Best,

Morgan